iOS高德地图SDK(3D) V11.2.0001

Class Methods | Properties | List of all members
MAArc Class Reference

`#import <MAArc.h>`

Inheritance diagram for MAArc:

## Class Methods
(instancetype) | + arcWithStartCoordinate:passedCoordinate:endCoordinate:
| 根据起点、途经点和终点生成圆弧 Generate an arc based on the starting point, waypoints, and endpoint More...

## Properties
CLLocationCoordinate2D | startCoordinate
CLLocationCoordinate2D | passedCoordinate
CLLocationCoordinate2D | endCoordinate
Properties inherited from MAShape
NSString * | title
| 标题 Title More...
NSString * | subtitle
| 副标题 Subtitle More...
Properties inherited from MABaseOverlay
CLLocationCoordinate2D | coordinate
MAMapRect | boundingMapRect
double | altitude
Properties inherited from <MAAnnotation>
NSString * | title
NSString * | subtitle
double | altitude

## Additional Inherited Members
Instance Methods inherited from <MAOverlay>
(CLLocationCoordinate2D) | - coordinate
(MAMapRect) | - boundingMapRect
Instance Methods inherited from <MAAnnotation>
(void) | - setCoordinate:
| 设置标注的坐标，在拖拽时会被调用. Set the coordinates of the annotation, which will be called during dragging More...
Protected Attributes inherited from MAShape
NSString * | _title
| 标题 Title More...
NSString * | _subtitle
| 副标题 Subtitle More...
Protected Attributes inherited from MABaseOverlay
double | _altitude
| 海拔 Elevation More...

## Detailed Description

该类用于定义一个圆弧, 通常MAArc是MAArcRenderer的model This class is used to define an arc, usually MAArc serves as the model for MAArcRenderer

## Method Documentation

## ◆ arcWithStartCoordinate:passedCoordinate:endCoordinate:

+ (instancetype) arcWithStartCoordinate: |  | (CLLocationCoordinate2D) | startCoordinate
passedCoordinate: |  | (CLLocationCoordinate2D) | passedCoordinate
endCoordinate: |  | (CLLocationCoordinate2D) | endCoordinate

根据起点、途经点和终点生成圆弧 Generate an arc based on the starting point, waypoints, and endpoint

Parameters

  startCoordinate | 起点的经纬度坐标，无效坐标按照{0，0}处理 Starting point latitude and longitude coordinates, invalid coordinates are treated as {0, 0}
  passedCoordinate | 途径点的经纬度坐标，无效坐标按照{0，0}处理 Waypoint latitude and longitude coordinates, invalid coordinates are treated as {0, 0}
  endCoordinate | 终点的经纬度坐标，无效坐标按照{0，0}处理 Destination latitude and longitude coordinates, invalid coordinates are treated as {0, 0}

Returns
  新生成的圆弧 the newly generated arc

## Property Documentation

## ◆ endCoordinate

- (CLLocationCoordinate2D) endCoordinate
| read write nonatomic assign

终点经纬度坐标，无效坐标按照{0，0}处理 Destination latitude and longitude coordinates, invalid coordinates are treated as {0, 0}

## ◆ passedCoordinate

- (CLLocationCoordinate2D) passedCoordinate
| read write nonatomic assign

途径点经纬度坐标，无效坐标按照{0，0}处理 Waypoint latitude and longitude coordinates, invalid coordinates are treated as {0, 0}

## ◆ startCoordinate

- (CLLocationCoordinate2D) startCoordinate
| read write nonatomic assign

起点经纬度坐标，无效坐标按照{0，0}处理 Starting point latitude and longitude coordinates, invalid coordinates are treated as {0, 0}

The documentation for this class was generated from the following file:

- MAArc.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。